Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.openjpa.datacache
Enum DataCacheMode

    java.lang.Object
      java.lang.Enum<DataCacheMode>
          org.apache.openjpa.datacache.DataCacheMode

All Implemented Interfaces:
  Serializable, Comparable<DataCacheMode>

    public enum DataCacheMode

extends Enum<DataCacheMode>

Enum Constant Summary
`ALL` All entities are cached regardless of annotations or xml configuration.
`DISABLE_SELECTIVE` All entities except those which are explicitly excluded will be cached.
`ENABLE_SELECTIVE` Only the entities which are configured to be in the cache will be cached.
`NONE` No entities are cached regardless of annotations or xml configuration.
`UNSPECIFIED` Default value.

Method Summary
`static DataCacheMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DataCacheMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ALL

    public static final DataCacheMode ALL

  All entities are cached regardless of annotations or xml configuration.

### NONE

    public static final DataCacheMode NONE

  No entities are cached regardless of annotations or xml configuration.

### ENABLE_SELECTIVE

    public static final DataCacheMode ENABLE_SELECTIVE

  Only the entities which are configured to be in the cache will be cached. Entities which do not specify whether they are cacheable will be excluded

  AKA opt-in.

### DISABLE_SELECTIVE

    public static final DataCacheMode DISABLE_SELECTIVE

  All entities except those which are explicitly excluded will be cached.

  AKA opt-out

### UNSPECIFIED

    public static final DataCacheMode UNSPECIFIED

  Default value. In this case OpenJPA will behave as it did in previous releases, and will take into account the includedTypes and excludedTypes optional parameters on the openjpa.DataCache configuration property.

Method Detail

### values

    public static DataCacheMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DataCacheMode c : DataCacheMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DataCacheMode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.